## ros-melodic-scheduler-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(scheduler_msgs)

##############################################################################
# Dependencies
##############################################################################

set(${PROJECT_NAME}_MSG_DEPENDENCIES
    rocon_std_msgs
    std_msgs
    uuid_msgs)

find_package(catkin REQUIRED
  COMPONENTS message_generation ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Messages
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  CurrentStatus.msg
  KnownResources.msg
  Request.msg
  Resource.msg
  SchedulerRequests.msg)

generate_messages(DEPENDENCIES ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS message_runtime ${${PROJECT_NAME}_MSG_DEPENDENCIES})

=== debian/changelog ===
ros-melodic-scheduler-msgs (0.9.0-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 07 Apr 2019 03:33:10 -0000

ros-melodic-scheduler-msgs (0.7.12-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jul 2015 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.11-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.10-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.9-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-scheduler-msgs (0.7.8-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-scheduler-msgs (0.7.6-0bionic) bionic; urgency=high

  * Export architecture_independent flag in package.xml
  * add public parameters in resource
  * run_depend 'message_runtime' is not listed in catkin_package()
  * Contributors: Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.2-0bionic) bionic; urgency=high

  * extra status flag for resources that have cleanly left the concert.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 16 Apr 2014 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.1-0bionic) bionic; urgency=high

  * updated invalid error code comment
  * convenience string for introspecting on the reason errors.
  * changelog entries fixed.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Apr 2014 04:00:00 -0000

ros-melodic-scheduler-msgs (0.7.0-0bionic) bionic; urgency=high

  * targeted for Indigo Igloo release.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 29 Mar 2014 04:00:00 -0000

ros-melodic-scheduler-msgs (0.6.6-0bionic) bionic; urgency=high

  * Revise status labels, removing old ones (#60):
    
    ABORTED -> CLOSED
    
    REJECTED -> CLOSED
    
    RELEASING -> CANCELING
    
    RELEASED -> CLOSED
  * Add reason field with associated labels (#60):
    
    NONE: no reason provided
    
    PREEMPTED: preempted for higher-priority task
    
    BUSY: requested resource busy elsewhere
    
    UNAVAILABLE: requested resource not available
    
    TIMEOUT: lost contact with requester
  * Define more priority labels:
    
    BACKGROUND_PRIORITY: when nothing else to do
    
    LOW_PRIORITY: low-priority task
    
    DEFAULT_PRIORITY: sane default priority
    
    HIGH_PRIORITY: high-priority task
    
    CRITICAL_PRIORITY: mission-critical task

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 29 Apr 2014 04:00:00 -0000

ros-melodic-scheduler-msgs (0.6.5-0bionic) bionic; urgency=high

  * Initial version of an experimental scheduler message package for
    
    Hydro (#27).
  * Updates due to experience with prototype implementation (#41):
    
    add new SchedulerRequests message type
    
    deprecate AllocateResources and SchedulerFeedback
    
    add new RESERVED status to Request message
    
    add hold_time duration to Request message
  * Add priority to Request message (#43 <https://github.com/robotics-in-concert/rocon_msgs/issues/43>).
  * Removed unneeded dependency on ``concert_msgs``.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 19 Dec 2013 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-scheduler-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rocon-std-msgs, ros-melodic-std-msgs, ros-melodic-uuid-msgs
Homepage: http://wiki.ros.org/scheduler_msgs
Standards-Version: 3.9.2

Package: ros-melodic-scheduler-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rocon-std-msgs, ros-melodic-std-msgs, ros-melodic-uuid-msgs
Description: Messages used by the rocon scheduler.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-scheduler-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
